Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update player details, team assignments, or archive status.
cURL
curl --request PATCH \ --url https://api.squadvault.xyz/v1/players/{playerId} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{}'
const options = { method: 'PATCH', headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({}) }; fetch('https://api.squadvault.xyz/v1/players/{playerId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/players/{playerId}" payload = {} headers = { "x-api-key": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
200
Example
{ "id": "<string>", "organizationId": "<string>", "userId": "<string>", "name": "<string>", "role": "<string>", "mainGame": "cs", "nationality": "de", "discordUserId": "<string>", "discordUsername": "<string>", "archivedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "gamerTagCount": 123, "teamCount": 123, "gamerTags": [ { "id": "<string>", "organizationId": "<string>", "playerId": "<string>", "game": "cs", "gamerTag": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "teams": [ { "id": "<string>", "name": "<string>", "game": "cs" } ] }
Organization API key from Settings → API keys.
1
Show child attributes
cs
valorant
overwatch
fortnite
minecraft
rocket-league
league
other
ISO 3166-1 alpha-2 country code (lowercase). United Kingdom is uk. Set null to clear.
uk
"uk"
Set true to archive the player; false to restore.
Updated player
ISO 3166-1 alpha-2 country code (lowercase). United Kingdom is uk.
"de"
Was this page helpful?